{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"**This endpoint allows you to invite a Teammate to your account via email.**\n\nYou can set a Teammate's initial permissions using the `scopes` array in the request body. Teammate's will receive a minimum set of scopes from Twilio SendGrid that are necessary for the Teammate to function.\n\n**Note:** A teammate invite will expire after 7 days, but you may resend the invitation at any time to reset the expiration date.","properties":{"headers":{"type":"object","properties":{"on-behalf-of":{"type":"string","description":"The `on-behalf-of` header allows you to make API calls from a parent account on behalf of the parent's Subusers or customer accounts. You will use the parent account's API key when using this header. When making a call on behalf of a customer account, the property value should be \"account-id\" followed by the customer account's ID (e.g., `on-behalf-of: account-id <account-id>`). When making a call on behalf of a Subuser, the property value should be the Subuser's username (e.g., `on-behalf-of: <subuser-username>`). See [**On Behalf Of**](https://docs.sendgrid.com/api-reference/how-to-use-the-sendgrid-v3-api/on-behalf-of) for more information."}},"required":[],"additionalProperties":false},"body":{"type":"object","properties":{"email":{"type":"string","description":"New teammate's email","minLength":5,"maxLength":255,"pattern":"^.*@.*\\..*"},"scopes":{"type":"array","description":"Set to specify list of scopes that teammate should have. Should be empty if teammate is an admin.","items":{"type":"string"}},"is_admin":{"type":"boolean","default":false,"description":"Set to true if teammate should be an admin user"}},"required":["email","scopes","is_admin"],"examples":[{"email":"teammate1@example.com","scopes":["user.profile.read","user.profile.update"],"is_admin":false}]}},"required":[],"additionalProperties":false},"name":"Invite teammate","id":"sendgrid.teammates.inviteteammate","example":{},"maxRequests":1,"summary":false}}